package com.arms.api.report.fulldata.service;

import com.arms.api.report.fulldata.model.vo.AssigneeIssueCountVO;
import com.arms.api.report.fulldata.model.dto.FullDataRequestDTO;
import com.arms.api.report.fulldata.model.dto.FullDataResponseDTO;
import com.arms.api.report.fulldata.model.vo.작업자_정보;

import java.util.List;

public interface ReportService {

    List<작업자_정보> 작업자_목록_가져오기();

    FullDataResponseDTO retrieveFullDataIssueList(FullDataRequestDTO fullDataRequestDTO);

    FullDataResponseDTO retrieveCalendarData(FullDataRequestDTO fullDataRequestDTO);

    FullDataResponseDTO getReqIssueList(FullDataRequestDTO fullDataRequestDTO);

    AssigneeIssueCountVO getAssigneeAggregationList(FullDataRequestDTO fullDataRequestDTO);
}
